---
title: "Retrieve PM Submittal Statuses By Code"
slug: "retrieve-pm-submittal-statuses-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-pm-submittal-statuses-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve PM Submittal Statuses By Code

Get/pm-rest-api/rest/1/pmsubmittalstatus

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- PM Submittal Status Finder
- By Status Code

#### PM Submittal Status Finder

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| StatusName | Status Name | FORWARD |
| StatusClassCode | Status Class Code | F |

#### By Status Code

This is an optional finder for querying a specific Submittal Status by Status Code.

| Parameter | Description | Sample |
| --- | --- | --- |
| /StatusCode | The Status Code attribute is the Unique row ID | /pm-rest-api/rest/1/pmsubmittalstatus/OPEN |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExamplePmSubmittalStatusFinder; StatusName=FORWARD, StatusClassCode=F
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExamplePmsmsStatusCode:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='e9f5c3c3-9261-4f5c-b891-3c8fec486e41'>application/json</option>
</select>

```json
{
  "items": [
    {
      "PmsmsStatusCode": "FORWARD",
      "PmsmsStatusName": "Forward",
      "PmsmsStatusClassCode": "F",
      "PmsmsIuCreateDate": "2016-10-13T15:15:34Z",
      "PmsmsIuUpdateDate": null,
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmsubmittalstatus/FORWARD",
          "name": "pmsubmittalstatus",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmsubmittalstatus/FORWARD",
          "name": "pmsubmittalstatus",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/pm-rest-api/rest/1/pmsubmittalstatus",
      "name": "pmsubmittalstatus",
      "kind": "collection"
    }
  ]
}
```

object
